View Issue Details

IDProjectCategoryView StatusLast Update
0027584RunnerVariables (In-Built)Public2018-10-25 15:43
ReporterStewart BishopAssigned ToRussell Kay 
PriorityLowSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Product VersionPre-2.1.3 
Target Version2.2.1Fixed in Version2.2.1 
Summary0027584: Variables: keyboard_string gets cleared when the runner window loses focus
DescriptionVariable keyboard_string is cleared when window loses focus

When testing a game that is using keyboard_string, it is impossible to step through code in the debugger, because the variable keyboard_string is reset to empty string every time the window loses focus.
Steps To Reproduce1) Import attached project
2) Debug it so you have a second window
3) Type something
4) Click on the debugger
5) See that your keyboard string has been emptied
TagsNo tags attached.
1.4 Found In
2.x Runtime Found In2.1.0.135
2.x Runtime Verified In2.2.1.268

Activities

Stewart Bishop

2017-08-28 14:50

Adminstrator  

test keyboard_string.yyz (13,045 bytes)

Mike Dailly

2017-09-01 16:14

Developer   ~0055224

Input is always cleared on loss of focus. This is required as you lose "key ups" when clicking outside the window.

However we could avoid the clearing of keyboard_string in these cases.

Russell Kay

2018-05-17 14:45

Manager   ~0059803

Does this still happen as I cannot see anywhere in the code that is clearing the keyboard_string when focus is lost

Russell Kay

2018-06-14 15:03

Manager   ~0060290

I believe this is fixed.. if not then reopen

Stewart Bishop

2018-06-28 16:18

Adminstrator   ~0060730

Still an issue using the sample provided.

Russell Kay

2018-07-17 20:46

Manager   ~0060878

Fixed in gitlab

Dan

2018-10-02 17:03

Adminstrator   ~0061700

Fix has seemingly also sorted an Android issue where the keyboard_string was being lost at the end of the step it was set on, as this now works in internal versions, but is still broken in 2.2.0 - https://forum.yoyogames.com/index.php?threads/keyboard_string-refreshes-every-step.51373/#post-315818